=== debian/changelog ===
cherrytree (0.99.23+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.23+dfsg
  * Refreshing remove-Check-New-Version.patch.
  * Adjusting debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Sun, 29 Nov 2020 11:48:36 -0500
