## cherrytree 0.99.25+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -105,9 +105,6 @@
 pkg_check_modules(SQLITE sqlite3 REQUIRED)
 pkg_check_modules(CURL libcurl REQUIRED)
 pkg_check_modules(UCHARDET uchardet REQUIRED)
-if(BUILD_TESTING)
-  pkg_check_modules(CPPUTEST cpputest  REQUIRED)
-endif()
 
 add_subdirectory(src/7za)
 
@@ -133,8 +130,11 @@
 
 add_subdirectory(src/ct)
 
-if(BUILD_TESTING)
+# unfortunately I haven't found yet a way yet to run the unit tests with necessary xvfb or xvfb-run
+# in the flatpak build or the ppa build server
+if(BUILD_TESTING AND NOT DEFINED ENV{FLATPAK_BUILDER_BUILDDIR} AND NOT DEFINED ENV{DEB_BUILD_OPTIONS})
   enable_testing()
+  include(GoogleTest)
   add_subdirectory(tests)
 endif()
