=== debian/changelog ===
cherrytree (0.99.25+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.25+dfsg
  * Refreshing remove-Check-New-Version.patch.
  * Adjusting debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Fri, 11 Dec 2020 09:30:33 -0500
