=== debian/changelog ===
cherrytree (0.99.27+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.27+dfsg
  * Refreshing remove-Check-New-Version.patch.
  * Excluding googletest.
  * Verifying GPG signature of the upstream tarball.

 -- Andrius Merkys <merkys@debian.org>  Wed, 23 Dec 2020 06:18:54 -0500
