## cherrytree 0.99.29+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
 set(CPACK_STRIP_FILES TRUE)
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0 libspdlog1")
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.com/cherrytree/")
 #set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
 set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
@@ -58,6 +58,9 @@
 
 
 set(CMAKE_CXX_STANDARD 17)
+
+add_definitions(-DSPDLOG_FMT_EXTERNAL)
+add_definitions(-DSPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_DEBUG)
 
 # temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
@@ -79,7 +82,7 @@
 
 add_compile_options(-Wno-deprecated -Wno-deprecated-declarations)
 if(CMAKE_BUILD_TYPE STREQUAL "")
-  add_compile_options(-O3)
+  add_compile_options(-O2)
 elseif (CMAKE_BUILD_TYPE STREQUAL "Debug")
   add_compile_options(-O0 -g)
 endif()
@@ -105,11 +108,10 @@
 pkg_check_modules(SQLITE sqlite3 REQUIRED)
 pkg_check_modules(CURL libcurl REQUIRED)
 pkg_check_modules(UCHARDET uchardet REQUIRED)
+pkg_check_modules(FMT fmt REQUIRED)
+pkg_check_modules(SPDLOG spdlog REQUIRED)
 
 add_subdirectory(src/7za)
-
-# Spdlog
-add_subdirectory(src/spdlog)
 
 
 include(FindPackageHandleStandardArgs)
@@ -125,7 +127,9 @@
   SYSTEM ${SQLITE_INCLUDE_DIRS}
   SYSTEM ${CURL_INCLUDE_DIRS}
   SYSTEM ${UCHARDET_INCLUDE_DIRS}
-  include_directories(.) # to find src/fmt
+  SYSTEM ${FMT_INCLUDE_DIRS}
+  SYSTEM ${SPDLOG_INCLUDE_DIRS}
+  include_directories(.) # config.h
 )
 
 add_subdirectory(src/ct)
