=== debian/changelog ===
cherrytree (0.99.29+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.29+dfsg
  * spdlog has been debundled, building with libspdlog-dev.
  * Refreshing remove-Check-New-Version.patch.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Jan 2021 06:00:21 -0500
