## cherrytree 0.99.30+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,6 @@
   set(SHARE_INSTALL "share" CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
 endif(NOT SHARE_INSTALL)
 set(CHERRYTREE_SHARE_INSTALL "${SHARE_INSTALL}/cherrytree")
-
 
 set(CPACK_PACKAGE_NAME "cherrytree")
 set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
@@ -49,13 +48,12 @@
 set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
 set(CPACK_STRIP_FILES TRUE)
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0 libspdlog1")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0 libspdlog1 gnome-icon-theme")
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.com/cherrytree/")
 #set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
 set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 
 include(CPack)
-
 
 set(CMAKE_CXX_STANDARD 17)
 
@@ -69,7 +67,6 @@
   add_compile_options("-Wno-#warnings")
   add_compile_options(-Wthread-safety)
 endif()
-
 
 if(APPLE)
   link_directories(/usr/local/lib /usr/local/opt/gettext/lib)
@@ -83,19 +80,23 @@
 add_compile_options(-Wno-deprecated -Wno-deprecated-declarations)
 if(CMAKE_BUILD_TYPE STREQUAL "")
   add_compile_options(-O2)
-elseif (CMAKE_BUILD_TYPE STREQUAL "Debug")
+elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
   add_compile_options(-O0 -g)
 endif()
-
 
 # Create the configuration files config.h in the root dir
 configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)
 
 option(BUILD_TESTING "Build tests" ON)
-if (BUILD_TESTING)
-  message("Tests are ON")
+if(BUILD_TESTING)
+  option(AUTO_RUN_TESTING "Auto run tests" ON)
+  if(AUTO_RUN_TESTING AND NOT DEFINED ENV{FLATPAK_BUILDER_BUILDDIR} AND NOT DEFINED ENV{DEB_BUILD_OPTIONS})
+    message("Build tests ON, auto run ON")
+  else()
+    message("Build tests ON, auto run OFF")
+  endif()
 else()
-  message("Tests are OFF")
+  message("Build tests OFF")
 endif()
 
 include(FindPkgConfig)
@@ -112,7 +113,6 @@
 pkg_check_modules(SPDLOG spdlog REQUIRED)
 
 add_subdirectory(src/7za)
-
 
 include(FindPackageHandleStandardArgs)
 
@@ -136,12 +136,11 @@
 
 # unfortunately I haven't found yet a way yet to run the unit tests with necessary xvfb or xvfb-run
 # in the flatpak build or the ppa build server
-if(BUILD_TESTING AND NOT DEFINED ENV{FLATPAK_BUILDER_BUILDDIR} AND NOT DEFINED ENV{DEB_BUILD_OPTIONS})
+if(BUILD_TESTING)
   enable_testing()
   include(GoogleTest)
   add_subdirectory(tests)
 endif()
-
 
 # rebuild man pages
 set(MANFILE_FULL "${CMAKE_SOURCE_DIR}/data/cherrytree.1")
@@ -152,7 +151,6 @@
 )
 add_custom_target(man_pages ALL DEPENDS ${MANFILE_FULL_GZ})
 
-
 # rebuild languages binaries
 if(USE_NLS)
   execute_process(
@@ -161,13 +159,11 @@
   )
 endif()
 
-
 # rebuild metainfo xml
 execute_process(
-    COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/metainfo_xml_write.py
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+  COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/metainfo_xml_write.py
+  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )
-
 
 # set icon on macos
 if(APPLE)
