=== debian/changelog ===
cherrytree (0.99.30+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.30+dfsg
  * Updating copyright years.
  * Ceasing to remove icons.gresource.xml.
  * Patching out googletest, as system-provided googletest is not found.

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Jan 2021 01:21:49 -0500
